VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::OvfParams Class Reference

The `OvfParams` class defines the common fields for all OVF deployment parameters. More...

List of all members.

## Public Member Functions
| OvfParams ()
| Creates a default new instance.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OvfParams` class defines the common fields for all OVF deployment parameters.

OVF parameters serve several purposes:

- Describe information about a given OVF package.
- Describe default deployment configuration.
- Describe possible deployment values based on the deployment environment.
- Provide deployment-specific configuration.

Each OVF parameters class specifies a particular configurable aspect of OVF deployment. An aspect has both a query-model and a deploy-model. The query-model is used when the OVF package is queried, and the deploy-model is used when deploying an OVF package.

Most OVF parameter classs provide both informational and deployment parameters. However, some are purely informational (for example, download size) and some are purely deployment parameters (for example, the flag to indicate whether registration as a vCenter extension is accepted).

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::OvfParams::OvfParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::OvfParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::OvfParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::OvfParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::OvfParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::OvfParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::OvfParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::OvfParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override int vmware::vcenter::ovf::OvfParams::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::ovf::OvfParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override string vmware::vcenter::ovf::OvfParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- OvfParams.cs